import { AbstractControl, ValidationErrors, Validator } from '@angular/forms';
export declare class CheckboxRequiredValidator implements Validator {
    private _required;
    private _onChange;
    get required(): boolean | string;
    set required(value: boolean | string);
    validate(c: AbstractControl): ValidationErrors | null;
    registerOnValidatorChange(fn: () => void): void;
}
export declare class SwitchRequiredValidator implements Validator {
    private _required;
    private _onChange;
    get required(): boolean | string;
    set required(value: boolean | string);
    validate(c: AbstractControl): ValidationErrors | null;
    registerOnValidatorChange(fn: () => void): void;
}
export declare class RadioRequiredValidator implements Validator {
    private _required;
    private _onChange;
    get required(): boolean | string;
    set required(value: boolean | string);
    validate(c: AbstractControl): ValidationErrors | null;
    registerOnValidatorChange(fn: () => void): void;
}
export declare class SelectRequiredValidator implements Validator {
    get required(): boolean | string;
    set required(value: boolean | string);
    private _required;
    private _onChange;
    validate(c: AbstractControl): ValidationErrors | null;
    registerOnValidatorChange(fn: () => void): void;
}
export declare class DateRequiredValidator implements Validator {
    private _required;
    private _onChange;
    get required(): boolean | string;
    set required(value: boolean | string);
    validate(c: AbstractControl): ValidationErrors | null;
    registerOnValidatorChange(fn: () => void): void;
}
